PostgreSQL 7.1.3 Documentation
Prev |  | Next

# DROP LANGUAGE

## Name

DROP LANGUAGE -- Removes a user-defined procedural language

## Synopsis

    DROP [ PROCEDURAL ] LANGUAGE 'name'

### Inputs

`name`

  The name of an existing procedural language.

### Outputs

`DROP`

  This message is returned if the language is successfully dropped.

`ERROR: Language "`name`" doesn't exist`

  This message occurs if a language called `name` is not found in the database.

## Description

DROP PROCEDURAL LANGUAGE will remove the definition of the previously registered procedural language called `name`.

### Notes

The DROP PROCEDURAL LANGUAGE statement is a Postgres language extension.

Refer to CREATE LANGUAGE for information on how to create procedural languages.

No checks are made if functions or trigger procedures registered in this language still exist. To re-enable them without having to drop and recreate all the functions, the pg_proc's prolang attribute of the functions must be adjusted to the new object ID of the recreated pg_language entry for the PL.

## Usage

This command removes the PL/Sample language:

    DROP PROCEDURAL LANGUAGE 'plsample';

## Compatibility

### SQL92

There is no DROP PROCEDURAL LANGUAGE in SQL92.

Prev | Home | Next
DROP INDEX | Up | DROP OPERATOR